header{
    display: grid;
    grid-template-columns: auto auto;
    justify-content: space-between
}

nav{
    display: grid;
    grid-template-columns: auto auto auto auto auto;
}

/* index page layout */
main.index{
    display: grid;
    grid-template-columns: auto;
}
main.index section{
    display: grid;
    grid-template-columns: auto auto;
}
main.index section h2 {
    grid-column:1/3;
}
main.index section p {
    grid-column:1/3;
}

/* about page layout */
main.about{
    display:grid;
    grid-template-columns: auto auto;
}
main.about h1{
    grid-column:1/3;
}
main.about section:nth-child(4){
    grid-column:1/3;
}

/* detail/weather page layout */
main.detail{
    display: grid;
    grid-template-columns: auto auto auto;
    gap: 1em;
}
main.detail h1{
    grid-column:1/4;
}
.disclaimer {
    grid-column: 1/4
}

/* form page layout */
